/*
 *========================================================================
 * $Id: get_system_identity.c,v 1.1 2002/02/18 19:35:41 rgb Exp $
 *
 * See copyright in copyright.h and the accompanying file COPYING
 *========================================================================
 */

#include "xmlsysd.h"

/*
 * This routine gets the system time and returns it as a formatted
 * time string AND as tv_sec/tv_usec.  The former conversion could
 * of course be done at the other end, but it is nice to be able to
 * READ xml output.
 */

void get_system_identity(xmlNodePtr system)
{

 int i,numfields;
 xmlNodePtr identity,idvalue;

 if(verbose==102){
   fprintf(stderr,"Starting get_system_identity().\n");
 }

 /* 
  * Return various (static) identifiers of the system.
  */
 identity = xmlNewChild(system,NULL,"identity",NULL);
 idvalue = xmlNewChild(identity,NULL,"hostname",hostname);
 idvalue = xmlNewChild(identity,NULL,"hostip",hostip);

}

